<template>
  <svn-title
    h2
    medium
    class="border-b-2 border-black text-center p-4"
  >
    Welcome on Seven User Interface Library
  </svn-title>
  <svn-text
    base
  >
    This interface is used as a playground to try out your component outside of storybook.
  </svn-text>
  <div class="flex flex-col py-4 gap-4">
    <svn-title
      h3
      medium
      class="border-b border-black"
    >
      How to use and create a component :
    </svn-title>
    <div class="border-2 p-4 border-black rounded flex flex-col gap-2">
      <svn-text
        base
        medium
        class="border-b-2 border-black"
      >
        Step 1 :
      </svn-text>
      <svn-text
        base
      >
        Create you component file into the following directory* :
        <span class="px-2 py-1 bg-light-grey rounded text-primary">./src/components</span>.
      </svn-text>
      <svn-text
        xs
      >
        *It is recommanded to add your component file into the right directory to categorize each component
      </svn-text>
    </div>
    <div class="border-2 p-4 border-black rounded flex flex-col gap-2">
      <svn-text
        base
        medium
        class="border-b-2 border-black"
      >
        Step 2 :
      </svn-text>
    </div>
    <div class="border-2 p-4 border-black rounded flex flex-col gap-2">
      <svn-text
        base
        medium
        class="border-b-2 border-black"
      >
        Step 3 :
      </svn-text>
    </div>
    <div class="border-2 p-4 border-black rounded flex flex-col gap-2">
      <svn-text
        base
        medium
        class="border-b-2 border-black"
      >
        Final Step :
      </svn-text>
      <svn-text
        base
      >
        Add your component into
        <span class="px-2 py-1 bg-light-grey rounded text-primary">./src/plugins/svn-ui-library.js</span>.
      </svn-text>
      <svn-text
        base
      >
        Run into your terminal the command :
        <span class="px-2 py-1 bg-light-grey rounded text-primary">$ yarn build</span>.
      </svn-text>
      <svn-text
        base
      >
        Congrats ! You can now commit and push your new component !
      </svn-text>
    </div>
  </div>
</template>

<script setup>

</script>

<style scoped>

</style>